- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IListControlAdapter
TActiveButton
TActiveCheckBox
TActiveCheckBoxList
TActiveControlAdapter
TActiveCustomValidator
TActiveCustomValidatorClientSide
TActiveDatePicker
TActiveDropDownList
TActiveHiddenField
TActiveHyperLink
TActiveImage
TActiveImageButton
TActiveLabel
TActiveLinkButton
TActiveListBox
TActiveListControlAdapter
TActiveListItemCollection
TActivePageAdapter
TActivePager
TActivePanel
TActiveRadioButton
TActiveRadioButtonList
TActiveRatingList
TActiveTextBox
TAutoComplete
TAutoCompleteEventParameter
TAutoCompleteTemplate
TBaseActiveCallbackControl
TBaseActiveControl
TCallback
TCallbackClientScript
TCallbackClientSide
TCallbackErrorHandler
TCallbackEventParameter
TCallbackOptions
TCallbackPageStateTracker
TCallbackResponseAdapter
TCallbackResponseWriter
TEventTriggeredCallback
TInPlaceTextBox
TInvalidCallbackException
TMapCollectionDiff
TScalarDiff
TStyleDiff
TTimeTriggeredCallback
TTriggeredCallback
TValueTriggeredCallback
TViewStateDiff

Keyword

# Class TActiveControlAdapter

    TComponent
       |
       --TApplicationComponent
          |
          --TControlAdapter
             |
             --TActiveControlAdapter

#### Direct Known Sub-classes:

TActiveListControlAdapter

TActiveControlAdapter class.

Customize the parent TControl class for active control classes. TActiveControlAdapter instantiates a common base active control class throught the BaseActiveControl property. The type of BaseActiveControl can be provided in the second parameter in the constructor. Default is TBaseActiveControl or TBaseActiveCallbackControl if the control adapted implements ICallbackEventHandler.

TActiveControlAdapter will tracking viewstate changes to update the corresponding client-side properties.

Since: 3.1
Author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Constructor Summary
public | __construct Array Constructor.

Method Summary
TBaseActiveControl | getBaseActiveControl ()
protected boolean | getIsTrackingPageState ()
TCallbackPageStateTracker | getStateTracker ()
void | onLoad ( mixed $param) Starts viewstate tracking if necessary after when controls has been loaded
void | render ( mixed $writer) Renders the callback client scripts.
protected void | renderCallbackClientScripts () Register the callback clientscripts and sets the post loader IDs.
void | saveState () Saves additional persistent control state. Respond to viewstate changes if necessary.
void | setBaseActiveControl ( TBaseActiveControl $control)
protected void | setBaseControlClass ( string $type)

Methods Inherited From TControlAdapter
TControlAdapter::createChildControls(), TControlAdapter::getControl(), TControlAdapter::getPage(), TControlAdapter::loadState(), TControlAdapter::onInit(), TControlAdapter::onLoad(), TControlAdapter::onPreRender(), TControlAdapter::onUnload(), TControlAdapter::render(), TControlAdapter::renderChildren(), TControlAdapter::saveState()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constructor Details

## __construct

public __construct | Array

Constructor.

Method Details

## getBaseActiveControl

public TBaseActiveControl getBaseActiveControl | ()

Output
TBaseActiveControl | Common active control options.
Exception

## getIsTrackingPageState

protected boolean getIsTrackingPageState | ()

Output
boolean | true if the viewstate needs to be tracked.
Exception

## getStateTracker

public TCallbackPageStateTracker getStateTracker | ()

Output
TCallbackPageStateTracker | state tracker.
Exception

## onLoad

public void onLoad | (mixed $param )

Starts viewstate tracking if necessary after when controls has been loaded

Input
mixed | $param |
Output
Exception

## render

public void render | (mixed $writer )

Renders the callback client scripts.

Input
mixed | $writer |
Output
Exception

## renderCallbackClientScripts

protected void renderCallbackClientScripts | ()

Register the callback clientscripts and sets the post loader IDs.

Output
Exception

## saveState

public void saveState | ()

Saves additional persistent control state. Respond to viewstate changes if necessary.

Output
Exception

## setBaseActiveControl

public void setBaseActiveControl | (TBaseActiveControl $control )

Input
TBaseActiveControl | $control | change base active control
Output
Exception

## setBaseControlClass

protected void setBaseControlClass | (string $type )

Input
string | $type | base active control instance
Output
Exception